%define _altdata_dir %_datadir/alterator

Name: alterator-lookout
Version: 0.2
Release: alt10.M40.1

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar

Summary: dialog based interface for alterator
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9-alt3

BuildPreReq: alterator >= 2.9-alt0.29

# Automatically added by buildreq on Fri Dec 08 2006
BuildRequires: alterator

%description
dialog based interface for alterator

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot

%__install -d -m755 $RPM_BUILD_ROOT%_sysconfdir/alterator/profile.d
cat >$RPM_BUILD_ROOT%_sysconfdir/alterator/profile.d/samples<<EOF
(acc-caption "Alterator samples" acc-modules "/sample-hook")
EOF

%find_lang %name

%files -f %name.lang
%_sysconfdir/alterator/profile.d/*
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/interfaces
%_altdata_dir/ui/*
%_alterator_backend2dir/*

%changelog
* Fri Apr 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10.M40.1
- backport: add colspan and rowspan attributes

* Thu Jun 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10
- move woo-list/name+label to main alterator library

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- new usefull functions: name+label , woo-list/name+label

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- add splitbox

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- add Ukrainian translation

* Wed Apr 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- add tab-index attribute

* Tue Mar 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add dateedit,timeedit widgets
- add expanded attribute
- remove expanded helper function

* Tue Feb 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- remove unused document:window
- add current-text attribute declaration
- add spinbox widget declaration
- remove widget visibility forcing during replace operation (it's a problem of browser now)

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- add gridbox and text-wrap
- hbox and vbox became wrappers over more general box widget

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add separator and orientation

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add atlas backend

* Wed Jan 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- change socket path

* Tue Jan 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- add support for cursor attribute

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- remove dbus support

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- move atlas,context and alterator-pp here

* Thu Dec 21 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add support for mailboxes (simplest message passing engine, replacement of dbus)
- remove deprecated widgets

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release
